summaryrefslogtreecommitdiff
path: root/target/linux/lantiq
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-07-10 19:16:39 +0000
committerJohn Crispin <john@openwrt.org>2014-07-10 19:16:39 +0000
commit03fef9a2d23b6ea9f28130fb9909e8e771d847c0 (patch)
treeb57b3acab44cbd9957f6158cf4a08bd303d55982 /target/linux/lantiq
parent4e35eef1d7c3c5fa867a330e0fd1843227bdc649 (diff)
downloadmtk-20170518-03fef9a2d23b6ea9f28130fb9909e8e771d847c0.zip
mtk-20170518-03fef9a2d23b6ea9f28130fb9909e8e771d847c0.tar.gz
mtk-20170518-03fef9a2d23b6ea9f28130fb9909e8e771d847c0.tar.bz2
lantiq: enable SysupgradeNAND for BTHOMEHUBV2B
Enables SysupgradeNAND for BTHOMEHUBV2B. Depends on the following patches: http://patchwork.openwrt.org/patch/5817/ http://patchwork.openwrt.org/patch/5848/ http://patchwork.openwrt.org/patch/5851/ Many thanks everyone for your help the last couple of days. Ben Signed-off-by: Ben Mulvihill <ben.mulvihill@gmail.com> SVN-Revision: 41566
Diffstat (limited to 'target/linux/lantiq')
-rwxr-xr-xtarget/linux/lantiq/base-files/lib/upgrade/platform.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/target/linux/lantiq/base-files/lib/upgrade/platform.sh b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
index 841566e..bef395a 100755
--- a/target/linux/lantiq/base-files/lib/upgrade/platform.sh
+++ b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
@@ -1,7 +1,17 @@
+. /lib/functions/lantiq.sh
+
PART_NAME=firmware
platform_check_image() {
[ "$#" -gt 1 ] && return 1
+ local board=$(lantiq_board_name)
+
+ case "$board" in
+ BTHOMEHUBV2B )
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ esac
case "$(get_magic_word "$1")" in
# uImage